<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>SB Admin - Login</title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

  <!-- Custom styles for this template-->
  <link href="css/sb-admin.css" rel="stylesheet">
  <link rel="icon" href="./img/favicon.png" type="image/png" sizes="16x16">

</head>

<body class="bg-dark">

  <div class="container">
    <div class="card card-login mx-auto mt-5">
      <div class="card-header">Login</div>
      <div class="card-body">
        <form id="login-form">
          <div id="incorrect-details-entered" style="display:none" class="alert alert-danger">
              <strong>Incorrect username or password</strong>
          </div>
          <div class="form-group">
            <div class="form-label-group">
              <input  name="username" id="username" class="form-control" placeholder="Username" required="required" autofocus="autofocus" value="">
              <label for="username">User Name</label>
            </div>
          </div>
          <div class="form-group">
            <div class="form-label-group">
              <input type="password"  id="password" name="password" class="form-control" placeholder="Password" required="required" value="">
              <label for="password">Password</label>
            </div>
          </div>
          <div class="d-flex justify-content-center mt-3 login_container">
            <button type="button" id="form-submit-btn" name="button" class="btn login_btn btn-primary">Login</button>
          </div>
        </form>
        <div class="text-center">
          <a class="d-block small mt-3" href="register.html">Register an Account</a>
          <a class="d-block small" href="forgot-password.html">Forgot Password?</a>
        </div>
      </div>
    </div>
  </div>

  <!-- Bootstrap core JavaScript-->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  
  <script type="text/javascript">
    $('#form-submit-btn').click( function (event) {
      console.log("what?");
      $('#login-form').submit();
    });
  </script>

  <script type="text/javascript">
    $('#login-form').keydown(function(event) {
      var key = event.which;
      if (key == 13) {
        $('#login-form').submit();
      }
    });
  </script>

  <script type="text/javascript"> 
  
    $('#login-form').submit( function (event) {
      event.preventDefault();
      details_entered = $(this).serializeArray();
      console.log(details_entered);
  
      var uname = details_entered[0].value.toLowerCase();
      var pass = details_entered[1].value.toLowerCase();
  
      if(uname === "parent" && pass ==="admin") {
        window.location.replace("./admin_dashboard.html")
      } else if (uname === "kid" && pass === "kid") {
        window.location.replace("./kids-dash.html")
      } else {
        $('#incorrect-details-entered').show();
      }
    });
  </script>
  <!-- Core plugin JavaScript-->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

</body>

</html>
